Bug 1132691 - (OpenMesh) Review Request: OpenMesh - A generic and efficient polygon mesh data structure
Review Request: OpenMesh - A generic and efficient polygon mesh data structure
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nicolas Chauvet (kwizart)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2014-08-21 15:56 EDT by Susi Lehtola
Modified: 2014-09-23 00:48 EDT (History)
3 users (show)

See Also:
Fixed In Version: IQmol-2.3.0-1.fc21
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-09-19 05:59:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
kwizart: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Susi Lehtola 2014-08-21 15:56:28 EDT
Spec URL:
http://theory.physics.helsinki.fi/~jzlehtol/rpms/OpenMesh.spec

SRPM URL:
http://theory.physics.helsinki.fi/~jzlehtol/rpms/OpenMesh-3.2-1.fc20.src.rpm

Description:
OpenMesh is a generic and efficient data structure for representing
and manipulating polygonal meshes.

Fedora Account System Username: jussilehtola


rpmlint output:
OpenMesh-bin.x86_64: W: no-documentation
OpenMesh-bin.x86_64: W: no-manual-page-for-binary ProgViewer
OpenMesh-bin.x86_64: W: no-manual-page-for-binary DecimaterGui
OpenMesh-bin.x86_64: W: no-manual-page-for-binary Dualizer
OpenMesh-bin.x86_64: W: no-manual-page-for-binary SubdividerGui
OpenMesh-bin.x86_64: W: no-manual-page-for-binary Analyzer
OpenMesh-bin.x86_64: W: no-manual-page-for-binary mkbalancedpm
OpenMesh-bin.x86_64: W: no-manual-page-for-binary Synthesizer
OpenMesh-bin.x86_64: W: no-manual-page-for-binary commandlineDecimater
OpenMesh-bin.x86_64: W: no-manual-page-for-binary commandlineAdaptiveSubdivider
OpenMesh-bin.x86_64: W: no-manual-page-for-binary commandlineSubdivider
OpenMesh-bin.x86_64: W: no-manual-page-for-binary Smoothing
OpenMesh-bin.x86_64: W: no-manual-page-for-binary QtViewer
OpenMesh-bin.x86_64: W: no-manual-page-for-binary mconvert
OpenMesh-devel.x86_64: W: only-non-binary-in-usr-lib
OpenMesh-devel.x86_64: W: no-documentation
OpenMesh-doc.noarch: W: spelling-error Summary(en_US) Doxygen -> Oxygen, D oxygen
5 packages and 0 specfiles checked; 0 errors, 17 warnings.

These are all non-issues.
Comment 1 Nicolas Chauvet (kwizart) 2014-08-23 17:37:05 EDT
Taking review, please consider using lower case as guidelines suggest:
https://fedoraproject.org/wiki/Packaging:NamingGuidelines#General_Naming

Would you consider aces_container rhbz#1118267
or xorg-x11-drv-opentegra (arm specific) rhbz#1122713
Comment 2 Susi Lehtola 2014-08-23 18:08:51 EDT
(In reply to Nicolas Chauvet (kwizart) from comment #1)
> Taking review, please consider using lower case as guidelines suggest:
> https://fedoraproject.org/wiki/Packaging:NamingGuidelines#General_Naming

https://fedoraproject.org/wiki/Packaging:NamingGuidelines#Case_Sensitivity

and this is certainly a case where upstream favors capitalization, since all files and the tarball are named OpenMesh. 

> Would you consider aces_container rhbz#1118267
> or xorg-x11-drv-opentegra (arm specific) rhbz#1122713

Bug 1122713 was already assigned, took bug 1118267.
Comment 3 Nicolas Chauvet (kwizart) 2014-08-24 05:12:07 EDT
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
No, but a static library is deleted, please try to avoid to create them

[x]: Header files in -devel subpackage, if present.
[x]: ldconfig called in %post and %postun if required.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "LGPL (with incorrect FSF address)", "LGPL (v3 or later)", "Unknown or
     generated", "BSD (4 clause)". 118 files have unknown license. Detailed
     output of licensecheck in
     ~/1132691-OpenMesh/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[!]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[-]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[!]: Package does not generate any conflict.
See generic names for tools
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 61440 bytes in 5 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[!]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} OpenMesh-bin
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[x]: Scriptlets must be sane, if used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[-]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: OpenMesh-3.2-1.fc19.x86_64.rpm
          OpenMesh-devel-3.2-1.fc19.x86_64.rpm
          OpenMesh-doc-3.2-1.fc19.noarch.rpm
          OpenMesh-bin-3.2-1.fc19.x86_64.rpm
          OpenMesh-3.2-1.fc19.src.rpm
OpenMesh-devel.x86_64: W: no-documentation
OpenMesh-doc.noarch: W: spelling-error Summary(en_US) Doxygen -> Oxygen, D oxygen
OpenMesh-bin.x86_64: W: no-documentation
OpenMesh-bin.x86_64: W: no-manual-page-for-binary ProgViewer
OpenMesh-bin.x86_64: W: no-manual-page-for-binary DecimaterGui
OpenMesh-bin.x86_64: W: no-manual-page-for-binary Dualizer
OpenMesh-bin.x86_64: W: no-manual-page-for-binary SubdividerGui
OpenMesh-bin.x86_64: W: no-manual-page-for-binary Analyzer
OpenMesh-bin.x86_64: W: no-manual-page-for-binary mkbalancedpm
OpenMesh-bin.x86_64: W: no-manual-page-for-binary Synthesizer
OpenMesh-bin.x86_64: W: no-manual-page-for-binary commandlineDecimater
OpenMesh-bin.x86_64: W: no-manual-page-for-binary commandlineAdaptiveSubdivider
OpenMesh-bin.x86_64: W: no-manual-page-for-binary commandlineSubdivider
OpenMesh-bin.x86_64: W: no-manual-page-for-binary Smoothing
OpenMesh-bin.x86_64: W: no-manual-page-for-binary QtViewer
OpenMesh-bin.x86_64: W: no-manual-page-for-binary mconvert
5 packages and 0 specfiles checked; 0 errors, 16 warnings.



I would suggest to use -tools instead of -bin that is more significant.
Then you can add a version and arched Requires from tools to the main (libs.)

Most tools are using generic names, this is a problem when installed into /usr/bin/. I would suggest to move them into /usr/libexec/OpenMesh until less generic names are found upstream.
At least for tools that might not be used by others packages.

Also missing are desktop files for GUI tools.
Comment 4 Nicolas Chauvet (kwizart) 2014-08-24 05:57:10 EDT
FE-LEGAL: Is this exception valid?
from LICENSE/COPYING.EXCEPTIONS

-----
OpenMesh makes use of the LGPL v3 with the following exception:

As a special exception to the GNU Lesser General Public License,
you may use any file of this software library without restriction.
Specifically, if other files instantiate templates or use macros
or inline functions from this file, or you compile this file and
link it with other files to produce an executable, this file does
not by itself cause the resulting executable to be covered by the
GNU Lesser General Public License. This exception does not however
invalidate any other reasons why the executable file might be
covered by the GNU Lesser General Public License.
-----

My understanding is that this is more a clarification than an exception, but the wording seems dubious.
Comment 5 Susi Lehtola 2014-08-24 14:58:59 EDT
So this is a dual licensing scenario; but the license tag anyways refer to the license of the binary rpm which is LGPL.
Comment 6 Susi Lehtola 2014-08-24 15:36:42 EDT
(In reply to Nicolas Chauvet (kwizart) from comment #3)
> [!]: Package contains desktop file if it is a GUI application.

Fixed.

> [!]: Package does not generate any conflict.
> See generic names for tools

Fixed.

> [!]: Fully versioned dependency in subpackages if applicable.
>      Note: No Requires: %{name}%{?_isa} = %{version}-%{release} OpenMesh-bin

Fixed

> I would suggest to use -tools instead of -bin that is more significant.
> Then you can add a version and arched Requires from tools to the main (libs.)
> 
> Most tools are using generic names, this is a problem when installed into
> /usr/bin/. I would suggest to move them into /usr/libexec/OpenMesh until
> less generic names are found upstream.
> At least for tools that might not be used by others packages.
> 
> Also missing are desktop files for GUI tools.

Fixed.

http://theory.physics.helsinki.fi/~jzlehtol/rpms/OpenMesh.spec
http://theory.physics.helsinki.fi/~jzlehtol/rpms/OpenMesh-3.2-2.fc20.src.rpm
Comment 7 Tom "spot" Callaway 2014-09-04 09:16:53 EDT
Well, I've never seen the old GPLv2 runtime exception wording from libstdc++ applied to the LGPLv3 (it doesn't really accomplish much), but it doesn't affect the free nature of the license in play. Mark it as:

License: LGPLv3 with exceptions

Lifting FE-Legal
Comment 8 Nicolas Chauvet (kwizart) 2014-09-04 16:35:12 EDT
Thx for the Legal review,

So there is only the license adjustement to be made.

Package OpenMesh is APPROVED
Comment 9 Susi Lehtola 2014-09-05 01:15:58 EDT
Thanks for the review!

I'll adjust the license tag before git import.


New Package SCM Request
=======================
Package Name: OpenMesh
Short Description: A generic and efficient polygon mesh data structure
Upstream URL: http://www.openmesh.org/
Owners: jussilehtola
Branches: f20 f21
InitialCC:
Comment 10 Jon Ciesla 2014-09-05 08:00:40 EDT
Git done (by process-git-requests).
Comment 11 Fedora Update System 2014-09-06 00:32:56 EDT
IQmol-2.3.0-1.fc20,OpenMesh-3.2-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/IQmol-2.3.0-1.fc20,OpenMesh-3.2-2.fc20
Comment 12 Fedora Update System 2014-09-06 00:53:28 EDT
IQmol-2.3.0-1.fc21,OpenMesh-3.2-2.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/IQmol-2.3.0-1.fc21,OpenMesh-3.2-2.fc21
Comment 13 Fedora Update System 2014-09-08 12:09:14 EDT
Package IQmol-2.3.0-1.fc21, OpenMesh-3.2-2.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing IQmol-2.3.0-1.fc21 OpenMesh-3.2-2.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-10280/IQmol-2.3.0-1.fc21,OpenMesh-3.2-2.fc21
then log in and leave karma (feedback).
Comment 14 Fedora Update System 2014-09-19 05:59:28 EDT
IQmol-2.3.0-1.fc20, OpenMesh-3.2-2.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2014-09-23 00:48:55 EDT
IQmol-2.3.0-1.fc21, OpenMesh-3.2-2.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.